Bug 7225 - gvim: cannot set background to black
gvim: cannot set background to black
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 1999-11-22 09:17 EST by darkeye
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-14 03:24:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description darkeye 1999-11-22 09:17:50 EST
I cannot set the background to back for gvim with the X resources in
.Xdefaults. Used to work in RedHat 6.0, with the following values:

Vim*background: black
Vim*foreground: green

Now gvim ignores them :(
Comment 1 Bernhard Rosenkraenzer 1999-11-22 12:53:59 EST
Looking into it...
Comment 2 Skontorp, Karl-Martin 2000-01-07 17:40:59 EST
How about starting gvim like this: gvim -rv
Comment 3 schulz 2000-01-14 03:24:59 EST
Are you running gnome?

I observed that the .Xdefaults file ist not read as usual when using gnome.
You could verify this with the command

xrdb -query

if the resources get mentioned, you have to blame gvim, if not, dont blame
gvim but try

xrdb -merge ~/.Xdefaults

and see if gvim (or whatever else) now works as you want.
If that is the case, as a workaround, you could add the command

xrdb -merge /home/putusernamehere/.Xdefaults

at priority 10 into the startup programs list in the gnome control center
(as I did). I consider this a bug of gnome or enlightment or whatever.

	Martin Schulz
Comment 4 Bernhard Rosenkraenzer 2000-08-30 16:09:33 EDT
gvim isn't supposed to look at .Xdefaults. The old versions that did were using
the Athena widget set, not GTK.

Note You need to log in before you can comment on or make changes to this bug.